Skip to content

List email broadcast recipients with per-recipient delivery fact timestamps (sentAt, deliveredAt, openedAt, etc.). Derive display status client-side from timestamps. Filter by status (pending, sent, delivered, opened, clicked, bounced, complained, unsubscribed, skipped, failed, problems). Paginate with limit (default 50, max 200) and nextToken.

GET
/broadcasts/{broadcastId}/recipients
curl --request GET \
--url https://api.pingram.io/broadcasts/example/recipients \
--header 'Authorization: Bearer <token>'

Authorizations

Parameters

Path Parameters

broadcastId
required
string

Broadcast ID

Query Parameters

status
string

Filter

limit
number

Max recipients to return (default 50)

nextToken
string

Pagination token

Responses

200

Successful response

Media typeapplication/json
object
recipients
required
Array<object>
object
trackingId
required
string
userId
required
string
email
required
string
sentAt
string
deliveredAt
string
openedAt
string
clickedAt
string
bouncedAt
string
bounceType
string
complainedAt
string
unsubscribedAt
string
skippedAt
string
skipReason
string
failedAt
string
failReason
string
nextToken
string
Examplegenerated
{
"recipients": [
{
"trackingId": "example",
"userId": "example",
"email": "example",
"sentAt": "example",
"deliveredAt": "example",
"openedAt": "example",
"clickedAt": "example",
"bouncedAt": "example",
"bounceType": "example",
"complainedAt": "example",
"unsubscribedAt": "example",
"skippedAt": "example",
"skipReason": "example",
"failedAt": "example",
"failReason": "example"
}
],
"nextToken": "example"
}

400

Bad Request - validation errors, invalid input

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

401

Unauthorized

402

Payment Required - usage limits exceeded

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

500

Internal Server Error

502

Bad Gateway - provider error

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}